#!/usr/bin/ruby

a_filelist = [
  'Venus_VIRA+GasVMR+CldMMR+UVabsMMR_H2O_CO2_CO_SO2_HF_OCS_N2_Cld-Crisp1986+Gas-Pollack-etal1993-modified-H2Omax+COctl+SO2max.nc',
  'Venus_ProfB_H2Omax+COctl+SO2max.txt',
  'Venus_VIRA+GasVMR+CldMMR+UVabsMMR_H2O_CO2_CO_SO2_HF_OCS_N2_Cld-Crisp1986+Gas-Pollack-etal1993-modified-H2Omax+COmax+SO2max.nc',
  'Venus_ProfB_H2Omax+COmax+SO2max.txt',
  'Venus_VIRA+GasVMR+CldMMR+UVabsMMR_H2O_CO2_CO_SO2_HF_OCS_N2_Cld-Crisp1986+Gas-Pollack-etal1993-modified-H2Omax+COmax+SO2min.nc',
  'Venus_ProfB_H2Omax+COmax+SO2min.txt',
  'Venus_VIRA+GasVMR+CldMMR+UVabsMMR_H2O_CO2_CO_SO2_HF_OCS_N2_Cld-Crisp1986+Gas-Pollack-etal1993-modified-H2Omax+COmin+SO2max.nc',
  'Venus_ProfB_H2Omax+COmin+SO2max.txt',
  'Venus_VIRA+GasVMR+CldMMR+UVabsMMR_H2O_CO2_CO_SO2_HF_OCS_N2_Cld-Crisp1986+Gas-Pollack-etal1993-modified-H2Omax+COmin+SO2min.nc',
  'Venus_ProfB_H2Omax+COmin+SO2min.txt',
  'Venus_VIRA+GasVMR+CldMMR+UVabsMMR_H2O_CO2_CO_SO2_HF_OCS_N2_Cld-Crisp1986+Gas-Pollack-etal1993-modified-H2Omin+COmax+SO2max.nc',
  'Venus_ProfB_H2Omin+COmax+SO2max.txt',
  'Venus_VIRA+GasVMR+CldMMR+UVabsMMR_H2O_CO2_CO_SO2_HF_OCS_N2_Cld-Crisp1986+Gas-Pollack-etal1993-modified-H2Omin+COmax+SO2min.nc',
  'Venus_ProfB_H2Omin+COmax+SO2min.txt',
  'Venus_VIRA+GasVMR+CldMMR+UVabsMMR_H2O_CO2_CO_SO2_HF_OCS_N2_Cld-Crisp1986+Gas-Pollack-etal1993-modified-H2Omin+COmin+SO2max.nc',
  'Venus_ProfB_H2Omin+COmin+SO2max.txt',
  'Venus_VIRA+GasVMR+CldMMR+UVabsMMR_H2O_CO2_CO_SO2_HF_OCS_N2_Cld-Crisp1986+Gas-Pollack-etal1993-modified-H2Omin+COmin+SO2min.nc',
  'Venus_ProfB_H2Omin+COmin+SO2min.txt',
]

a_filein  = []
a_fileout = []
for i in 0..(a_filelist.size/2-1)
  a_filein  << a_filelist[2*i  ]
  a_fileout << a_filelist[2*i+1]
end

conf_file          = 'file.conf'
template_conf_file = 'template_' + conf_file

for iloop in 0..(a_filein.size-1)
  filein  = a_filein [iloop  ]
  fileout = a_fileout[iloop  ]

  line = 'cat '+template_conf_file+
         '| sed -e s#FILEIN#' +filein +'#g'+
         '| sed -e s#FILEOUT#'+fileout+'#g'+
         '> '+conf_file
  p line
  system(line)

  line = '../nc2ascii'
  p line
  system(line)

end

