#!/usr/bin/ruby

symbols = [
  'Earth_ICRCCM_LW_Case25_TRP_CO2-300ppmv',
  'Earth_ICRCCM_LW_Case26_TRP_CO2-600ppmv',
  'Earth_ICRCCM_LW_Case27_MLS_CO2-300ppmv',
  'Earth_ICRCCM_LW_Case28_MLS_CO2-600ppmv',
  'Earth_ICRCCM_LW_Case29_MLW_CO2-300ppmv',
  'Earth_ICRCCM_LW_Case30_MLW_CO2-600ppmv',
  'Earth_ICRCCM_LW_Case31_SAS_CO2-300ppmv',
  'Earth_ICRCCM_LW_Case32_SAS_CO2-600ppmv',
  'Earth_ICRCCM_LW_Case33_SAW_CO2-300ppmv',
  'Earth_ICRCCM_LW_Case34_SAW_CO2-600ppmv',
]

conf_calc_ac_file          = 'calc_ac_file.conf'
template_conf_calc_ac_file = 'template_' + conf_calc_ac_file

for iloop in 0..(symbols.size-1)
  sym = symbols[iloop  ]

  line = 'cat '+template_conf_calc_ac_file+
         '| sed -e s#SYMBOL#'+sym+'#g'+
         '> '+conf_calc_ac_file
  p line
  system(line)

  line = '../calc_ac'
  p line
  system(line)

end

