#!/usr/bin/ruby

symbols = [
  'Earth_ICRCCM_LW_Case25_TRP_CO2-300ppmv',
  'Earth_ICRCCM_LW_Case26_TRP_CO2-600ppmv',
  'Earth_ICRCCM_LW_Case27_MLS_CO2-300ppmv',
  'Earth_ICRCCM_LW_Case28_MLS_CO2-600ppmv',
  'Earth_ICRCCM_LW_Case29_MLW_CO2-300ppmv',
  'Earth_ICRCCM_LW_Case30_MLW_CO2-600ppmv',
  'Earth_ICRCCM_LW_Case31_SAS_CO2-300ppmv',
  'Earth_ICRCCM_LW_Case32_SAS_CO2-600ppmv',
  'Earth_ICRCCM_LW_Case33_SAW_CO2-300ppmv',
  'Earth_ICRCCM_LW_Case34_SAW_CO2-600ppmv',
]

if ( File.exist?( 'RMSEs.txt' ) ) then
  File.delete( 'RMSEs.txt' )
end

conf_calc_rte_file          = 'calc_rte_file.conf'
template_conf_calc_rte_file = 'template_' + conf_calc_rte_file

for iloop in 0..(symbols.size-1)
  sym = symbols[iloop  ]

  line = 'cat '+template_conf_calc_rte_file+
         '| sed -e s#SYMBOL#'+sym+'#g'+
         '> '+conf_calc_rte_file
  p line
  system(line)

  line = '../calc_rte'
  p line
  system(line)

  line = 'ruby disp_comp_1Dresults_v1mod.rb 2 ' + sym
  p line
  system(line)
  line = 'mv dcl.pdf out/fig_dcl_'+sym+'.pdf'
  p line
  system(line)

end

