#!/usr/bin/ruby

a_filelist = [
  'Earth_Tropics_CO2-300ppmv.txt',
  'Earth_ICRCCM_LW_Case25_TRP_CO2-300ppmv.nc',
  'Earth_Tropics_CO2-600ppmv.txt',
  'Earth_ICRCCM_LW_Case26_TRP_CO2-600ppmv.nc',
  'Earth_MidLatSummer_CO2-300ppmv.txt',
  'Earth_ICRCCM_LW_Case27_MLS_CO2-300ppmv.nc',
  'Earth_MidLatSummer_CO2-600ppmv.txt',
  'Earth_ICRCCM_LW_Case28_MLS_CO2-600ppmv.nc',
  'Earth_MidLatWinter_CO2-300ppmv.txt',
  'Earth_ICRCCM_LW_Case29_MLW_CO2-300ppmv.nc',
  'Earth_MidLatWinter_CO2-600ppmv.txt',
  'Earth_ICRCCM_LW_Case30_MLW_CO2-600ppmv.nc',
  'Earth_SubArcSummer_CO2-300ppmv.txt',
  'Earth_ICRCCM_LW_Case31_SAS_CO2-300ppmv.nc',
  'Earth_SubArcSummer_CO2-600ppmv.txt',
  'Earth_ICRCCM_LW_Case32_SAS_CO2-600ppmv.nc',
  'Earth_SubArcWinter_CO2-300ppmv.txt',
  'Earth_ICRCCM_LW_Case33_SAW_CO2-300ppmv.nc',
  'Earth_SubArcWinter_CO2-600ppmv.txt',
  'Earth_ICRCCM_LW_Case34_SAW_CO2-600ppmv.nc',
]
a_filein  = []
a_fileout = []
for i in 0..(a_filelist.size/2-1)
  a_filein  << a_filelist[2*i  ]
  a_fileout << a_filelist[2*i+1]
end


## alternative method
#a_filein = [
#  '...',
#]
#a_filein.each { |filename|
#  a_fileout << filename.gsub(/.txt/, '.nc')
#}


conf_mkprofile          = 'mkprofile.conf'
template_conf_mkprofile = 'template_' + conf_mkprofile

for iloop in 0..(a_filein.size-1)
  filein  = a_filein [iloop  ]
  fileout = a_fileout[iloop  ]

  line = 'cat '+template_conf_mkprofile+
         '| sed -e s#FILEIN#' +filein +'#g'+
         '| sed -e s#FILEOUT#'+fileout+'#g'+
         '> '+conf_mkprofile
  p line
  system(line)

  line = '../mkprofile'
  p line
  system(line)

end

