#!/usr/bin/ruby

symbols = [
#  'Venus_ProfB_H2Omax+COctl+SO2max',
#  'Venus_ProfB_H2Omax+COctl+SO2max_nocld',
  'Venus_ProfB_H2Omax+COmax+SO2max',
  'Venus_ProfB_H2Omax+COmax+SO2max_nocld',
  'Venus_ProfB_H2Omax+COmax+SO2min',
  'Venus_ProfB_H2Omax+COmax+SO2min_nocld',
  'Venus_ProfB_H2Omax+COmin+SO2max',
  'Venus_ProfB_H2Omax+COmin+SO2max_nocld',
  'Venus_ProfB_H2Omax+COmin+SO2min',
  'Venus_ProfB_H2Omax+COmin+SO2min_nocld',
  'Venus_ProfB_H2Omin+COmax+SO2max',
  'Venus_ProfB_H2Omin+COmax+SO2max_nocld',
  'Venus_ProfB_H2Omin+COmax+SO2min',
  'Venus_ProfB_H2Omin+COmax+SO2min_nocld',
  'Venus_ProfB_H2Omin+COmin+SO2max',
  'Venus_ProfB_H2Omin+COmin+SO2max_nocld',
  'Venus_ProfB_H2Omin+COmin+SO2min',
  'Venus_ProfB_H2Omin+COmin+SO2min_nocld',
]


conf_calc_ac_file          = 'calc_ac_file.conf'
template_conf_calc_ac_file = 'template_' + conf_calc_ac_file
conf_merge                 = 'merge.conf'
template_conf_merge        = 'template_' + conf_merge

for iloop in 0..(symbols.size-1)
  sym = symbols[iloop  ]

  line = 'cat '+template_conf_calc_ac_file+
         '| sed -e s#SYMBOL#'+sym+'#g'+
         '> '+conf_calc_ac_file
  p line
  system(line)

  line = 'mpiexec -n 27 ../calc_ac'
  p line
  system(line)


  line = 'cat '+template_conf_merge+
         '| sed -e s#SYMBOL#'+sym+'#g'+
         '> '+conf_merge
  p line
  system(line)

  line = '../merge'
  p line
  system(line)

end

