#!/usr/bin/ruby

symbols = [
#  'Venus_ProfB_H2Omax+COctl+SO2max',
#  'Venus_ProfB_H2Omax+COctl+SO2max_nocld',
  #
  'Venus_ProfB',
  'Venus_ProfB_nocld',
  'Venus_ProfB_lat00deg',
  'Venus_ProfB_lat00deg_nocld',
  'Venus_ProfB_lat45deg',
  'Venus_ProfB_lat45deg_nocld',
  'Venus_ProfB_lat60deg',
  'Venus_ProfB_lat60deg_nocld',
  'Venus_ProfB_lat75deg',
  'Venus_ProfB_lat75deg_nocld',
  'Venus_ProfB_lat85deg',
  'Venus_ProfB_lat85deg_nocld',
  'Venus_ProfB_H2Omax+COmax+SO2max',
  'Venus_ProfB_H2Omax+COmax+SO2max_nocld',
  'Venus_ProfB_H2Omax+COmax+SO2min',
  'Venus_ProfB_H2Omax+COmax+SO2min_nocld',
  'Venus_ProfB_H2Omax+COmin+SO2max',
  'Venus_ProfB_H2Omax+COmin+SO2max_nocld',
  'Venus_ProfB_H2Omax+COmin+SO2min',
  'Venus_ProfB_H2Omax+COmin+SO2min_nocld',
  'Venus_ProfB_H2Omin+COmax+SO2max',
  'Venus_ProfB_H2Omin+COmax+SO2max_nocld',
  'Venus_ProfB_H2Omin+COmax+SO2min',
  'Venus_ProfB_H2Omin+COmax+SO2min_nocld',
  'Venus_ProfB_H2Omin+COmin+SO2max',
  'Venus_ProfB_H2Omin+COmin+SO2max_nocld',
  'Venus_ProfB_H2Omin+COmin+SO2min',
  'Venus_ProfB_H2Omin+COmin+SO2min_nocld',
]


conf_calc_rte_file          = 'calc_rte_file.conf'
template_conf_calc_rte_file = 'template_' + conf_calc_rte_file

for iloop in 0..(symbols.size-1)
  sym = symbols[iloop  ]

  line = 'cat '+template_conf_calc_rte_file+
         '| sed -e s#SYMBOL#'+sym+'#g'+
         '> '+conf_calc_rte_file
  p line
  system(line)

  line = '../calc_rte'
  p line
  system(line)

end

