#!/usr/bin/ruby

its  = 1; ite = 5
ir1s = 1; ir1e = 14
ir2s = 1; ir2e =  3
ir3s = 1; ir3e =  4

dir_in  = 'out.bk'
dir_out = 'out.new'

if ( !Dir.exist?(dir_in) ) then
  print 'ERROR: Directory, ', dir_in, ' does not exist.'
  exit
end
if ( !Dir.exist?(dir_out) ) then
  print 'ERROR: Directory, ', dir_out, ' does not exist.'
  exit
end

for it in its..ite
  for ir1 in ir1s..ir1e
    for ir2 in ir2s..ir2e
      for ir3 in ir3s..ir3e
        # ac_T-005_M01-014_M02-003_M03-004.nc
        itc  = it
        ir1c = ir1
        ir2c = ir2
        ir3c = ir3
        ncfnc = 'ac_T-'+itc.to_s.rjust(3,'0')+
               '_M01-'+ir1c.to_s.rjust(3,'0')+
               '_M02-'+ir2c.to_s.rjust(3,'0')+
               '_M03-'+ir3c.to_s.rjust(3,'0')+
               '.nc'
        itn  = it
        ir1n = ir1
        ir2n = ir2+1
        ir3n = ir3
        ncfnn = 'ac_T-'+itn.to_s.rjust(3,'0')+
               '_M01-'+ir1n.to_s.rjust(3,'0')+
               '_M02-'+ir2n.to_s.rjust(3,'0')+
               '_M03-'+ir3n.to_s.rjust(3,'0')+
                '.nc'
        pathc = dir_in  + '/' + ncfnc
        pathn = dir_out + '/' + ncfnn
#        print it, ',', ir1, ',', ir2, ',', ir3, ': ', ncfnc, ',', ncfnn, "\n"
        print 'from ', ncfnc, ' to ', ncfnn, "\n"

        com = 'cp -Rp ' + pathc + ' ' + pathn
        print com, "\n"
        system( com )
      end
    end
  end
end

