set term qt
#set term pdf
#set output "fig_accuracy.pdf"

set nokey

set xlabel ""
set ylabel "RMSE of flux (W m^{-2})"

set xrange [-1:5]
set yrange [0:]

set xtics ( \
	"LBL {/Symbol D}k=0.01 cm^{-1} shift"         0, \
	"LBL {/Symbol D}k=0.2 \\& 2 cm^{-1}"          1, \
	"k-d 1312 IPs (82 bands)\n w/o interpolation" 2, \
	"k-d 122 IPs (23 bands)\n w/o interpolation"  3, \
	"k-d 122 IPs (23 bands)\n w/ interpolation"   4 \
	)
set xtics rotate by -30

plot "data.txt" w lp

set term qt
