#!/bin/bash

NCDUMP=ncdump
#NCDUMP=ncdump.netcdf-bin

if [ $# -eq 1 ]; then
    dir=$1
else
    dir="out"
fi

iloop=0
loop_step=1
while :
do
    cloop=""
    if [ $iloop -le 9 ]; then
	cloop="00000"
    elif [ $iloop -le 99 ]; then
	cloop="0000"
    elif [ $iloop -le 999 ]; then
	cloop="000"
    elif [ $iloop -le 9999 ]; then
	cloop="00"
    elif [ $iloop -le 99999 ]; then
	cloop="0"
    elif [ $iloop -le 99999 ]; then
	cloop=""
    fi
    cloop=$cloop$iloop
    path=$dir"/profile"$cloop".nc"

    if [ ! -e $path ]; then
	break
    fi

#    line=`ncdump "out/profile"$cloop".nc" | grep "Ts =" | cut -d " " -f 4`
#    line=`ncdump $path | grep "Ts =" | cut -d " " -f 4`
    line=`$NCDUMP $path | grep "Ts =" | cut -d " " -f 4`

    echo $iloop $line

    iloop=$(( $iloop + $loop_step ))

done
